%define upstream_name    Lingua-EN-Tagger
%define upstream_version 0.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Part-of-speech tagger for English natural language processing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.840.0
BuildRequires: perl(HTML::Parser) >= 3.450.0
BuildRequires: perl(HTML::Tagset) >= 3.200.0
BuildRequires: perl(Lingua::Stem) >= 0.810.0
BuildRequires: perl(Memoize) >= 1.10.0
BuildRequires: perl(Memoize::ExpireLRU) >= 0.550.0
BuildRequires: perl(Storable) >= 2.100.0
# despite being arch-dependent, there are no binaries
# so avoid empty debug package
%global debug_package %{nil}
%{?perl_default_filter}

%description
The module is a probability based, corpus-trained tagger that assigns POS
tags to English text based on a lookup dictionary and a set of probability
values. The tagger assigns appropriate tags based on conditional
probabilities - it examines the preceding tag to determine the appropriate
tag for the current word. Unknown words are classified according to word
morphology or can be set to be treated as nouns or other parts of speech.

The tagger also extracts as many nouns and noun phrases as it can, using a
set of regular expressions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Mar 17 2022 umeabot <umeabot> 0.310.0-3.mga9
+ Revision: 1795188
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.310.0-2.mga8
+ Revision: 1527276
- Mageia 8 Mass Rebuild

* Mon Jul 15 2019 tv <tv> 0.310.0-1.mga8
+ Revision: 1421441
- update to 0.31

* Wed Sep 12 2018 shlomif <shlomif> 0.300.0-1.mga7
+ Revision: 1258703
- update to 0.30

* Tue May 22 2018 shlomif <shlomif> 0.290.0-1.mga7
+ Revision: 1231552
- update to 0.29

* Tue Oct 03 2017 tv <tv> 0.280.0-2.mga7
+ Revision: 1165179
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 0.280.0-1.mga7
+ Revision: 1141472
- update to 0.28

* Sun Jun 19 2016 pterjan <pterjan> 0.250.0-5.mga6
+ Revision: 1029150
- Rebuild for perl 5.22.2

* Thu Mar 31 2016 tv <tv> 0.250.0-4.mga6
+ Revision: 997222
- this package cannot be noarch (else it break other package's testsuites)

* Sat Feb 20 2016 umeabot <umeabot> 0.250.0-3.mga6
+ Revision: 971626
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 0.250.0-2.mga6
+ Revision: 892104
- make it noarch thus fixing empty debuginfo

* Tue Jun 30 2015 sander85 <sander85> 0.250.0-1.mga6
+ Revision: 849159
- update to 0.25

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-5.mga5
+ Revision: 743710
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.240.0-4.mga5
+ Revision: 733109
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.240.0-3.mga5
+ Revision: 685210
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.240.0-2.mga4
+ Revision: 530332
- Mageia 4 Mass Rebuild

* Mon Jul 22 2013 sander85 <sander85> 0.240.0-1.mga4
+ Revision: 457267
- update to 0.24

* Sun Jan 13 2013 umeabot <umeabot> 0.230.0-2.mga3
+ Revision: 369013
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 0.230.0-1.mga3
+ Revision: 302404
- update to 0.23

* Mon Oct 01 2012 jquelin <jquelin> 0.220.0-1.mga3
+ Revision: 301280
- update to 0.22

* Thu Jul 12 2012 jquelin <jquelin> 0.200.0-1.mga3
+ Revision: 270277
- update to 0.20

* Tue Jun 05 2012 jquelin <jquelin> 0.190.0-1.mga3
+ Revision: 255068
- update to 0.19

* Sun Jan 23 2011 jquelin <jquelin> 0.160.0-2.mga1
+ Revision: 33918
- mageia rebuild
- imported package perl-Lingua-EN-Tagger

